
--Locals
local GetNumTradeSkills = GetNumTradeSkills
local GetTradeSkillSubClasses = GetTradeSkillSubClasses
local GetTradeSkillInfo = GetTradeSkillInfo
local GetNumTradeSkills = GetNumTradeSkills
local new = {}
local CdS = CreateFrame("Frame")
local namedb, profdb, headerdb

function CdS:Scan()
	if(TradeSkillFrame and TradeSkillFrame:IsVisible()) then  --if the tradeskill frame is open
		prof = GetTradeSkillLine() --get the profession name
		namedb[prof] = {} --make that a table
		profdb = namedb[prof]
		ExpandTradeSkillSubClass(0) --make sure all sub-categories are expanded
		local m = GetNumTradeSkills()
		for i=1,m do
			if(GetTradeSkillItemStats(i)) then --check if its an craftable item or a header
				local skillname = GetTradeSkillInfo(i) --get the craftable item name
				table.insert(headerdb, skillname) --add the craftable item name to the db
			else
				local header = GetTradeSkillInfo(i) --get then name of the header
				profdb[header] = {} --make it a table
				headerdb = profdb[header]
			end
		end
	end
end

function CdS:Load()
	CdSProfDB = CdSProfDB or new
	self.db = CdSProfDB
	name = GetUnitName("player")
	self.db[name] = {}
	namedb = self.db[name]
	

	SlashCmdList["CDSSCAN"] = function() self:Scan() end
	SLASH_CDSSCAN1 = "/scan"
	DEFAULT_CHAT_FRAME:AddMessage("|cffff0000CdS_Prof:|r Loaded.") 
end

function CdS:onEvent(event) 
	if event == "PLAYER_ENTERING_WORLD" then 
		CdS:Load() 
	end 
end 
 
function CdS:New() 
	self:RegisterEvent("PLAYER_ENTERING_WORLD") 
	self:SetScript("OnEvent", CdS.onEvent) 
end 
 
CdS:New()